tt_spec_destroy(library call)

NAME
tt_spec_destroy — destroy an object's spec

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_spec_destroy(
const char *objid);

DESCRIPTION

The tt_spec_destroy function destroys an object's spec immediately.

The objid argument is the identifier of the object involved in this operation.

RETURN VALUE

Upon successful completion, the tt_spec_destroy function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).